org.apache.directory.mavibot.btree

## Class LevelInfo<K,V>

- java.lang.Object
- - org.apache.directory.mavibot.btree.LevelInfo<K,V>

-     public class LevelInfo<K,V>
      extends Object

  A class to store informations on a level. We have to keep :
  - The number of elements to store in this level
  - A flag that tells if it's a leaf or a node level
  - The number of pages necessary to store all the elements in a level
  - The number of elements we can store in a complete page (we may have one or two incomplete pages at the end)
  - A flag that tells if we have some incomplete page at the end
  Author:
    Apache Directory Project

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LevelInfo()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.directory.mavibot.btree.Page<K,V>` | `getCurrentPage()`
    `int` | `getCurrentPos()`
    `int` | `getLevelNumber()`
    `int` | `getNbAddedElems()`
    `int` | `getNbElems()`
    `int` | `getNbElemsLimit()`
    `int` | `getNbPages()`
    `void` | `incCurrentPos()` Increment the current position
    `void` | `incNbAddedElems()` Increment the number of added elements
    `void` | `incNbPages()` Increment the number of pages
    `boolean` | `isNode()`
    `void` | `setCurrentPage(org.apache.directory.mavibot.btree.Page<K,V> currentPage)`
    `void` | `setCurrentPos(int currentPos)`
    `void` | `setLevelNumber(int levelNumber)`
    `void` | `setNbAddedElems(int nbAddedElems)`
    `void` | `setNbElems(int nbElems)`
    `void` | `setNbElemsLimit(int nbElemsLimit)`
    `void` | `setNbPages(int nbPages)`
    `void` | `setType(boolean isNode)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LevelInfo

          public LevelInfo()

  - ### Method Detail

    - #### getLevelNumber

          public int getLevelNumber()

      Returns:
        the levelNumber

    - #### setLevelNumber

          public void setLevelNumber(int levelNumber)

      Parameters:
        `levelNumber` - the levelNumber to set

    - #### getNbElems

          public int getNbElems()

      Returns:
        the nbElems

    - #### setNbElems

          public void setNbElems(int nbElems)

      Parameters:
        `nbElems` - the nbElems to set

    - #### getNbPages

          public int getNbPages()

      Returns:
        the nbPages

    - #### setNbPages

          public void setNbPages(int nbPages)

      Parameters:
        `nbPages` - the nbPages to set

    - #### incNbPages

          public void incNbPages()

      Increment the number of pages

    - #### getNbElemsLimit

          public int getNbElemsLimit()

      Returns:
        the nbElemsLimit

    - #### setNbElemsLimit

          public void setNbElemsLimit(int nbElemsLimit)

      Parameters:
        `nbElemsLimit` - the nbElemsLimit to set

    - #### isNode

          public boolean isNode()

      Returns:
        the isNode

    - #### setType

          public void setType(boolean isNode)

      Parameters:
        `isNode` - the isNode to set

    - #### getCurrentPage

          public org.apache.directory.mavibot.btree.Page<K,V> getCurrentPage()

      Returns:
        the currentPage

    - #### setCurrentPage

          public void setCurrentPage(org.apache.directory.mavibot.btree.Page<K,V> currentPage)

      Parameters:
        `currentPage` - the currentPage to set

    - #### getCurrentPos

          public int getCurrentPos()

      Returns:
        the currentPos

    - #### setCurrentPos

          public void setCurrentPos(int currentPos)

      Parameters:
        `currentPos` - the currentPos to set

    - #### incCurrentPos

          public void incCurrentPos()

      Increment the current position

    - #### getNbAddedElems

          public int getNbAddedElems()

      Returns:
        the nbAddedElems

    - #### setNbAddedElems

          public void setNbAddedElems(int nbAddedElems)

      Parameters:
        `nbAddedElems` - the nbAddedElems to set

    - #### incNbAddedElems

          public void incNbAddedElems()

      Increment the number of added elements

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`
      See Also:
        `Object.toString()`

Copyright © 2012–2015 Apache Mavibot Project Parent. All rights reserved.